package com.jsowell.thirdparty.mapper;

import com.jsowell.pile.vo.ThirdPartySecretInfoVO;
import com.jsowell.thirdparty.domain.ThirdpartySecretInfo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 对接三方平台配置Mapper接口
 *
 * @author jsowell
 * @date 2024-04-18
 */
@Repository
public interface ThirdpartySecretInfoMapper {
    /**
     * 查询对接三方平台配置
     *
     * @param id 对接三方平台配置主键
     * @return 对接三方平台配置
     */
    ThirdpartySecretInfo selectThirdpartySecretInfoById(Long id);

    /**
     * 查询对接三方平台配置列表
     *
     * @param thirdpartySecretInfo 对接三方平台配置
     * @return 对接三方平台配置集合
     */
    List<ThirdpartySecretInfo> selectThirdpartySecretInfoList(ThirdpartySecretInfo thirdpartySecretInfo);

    /**
     * 新增对接三方平台配置
     *
     * @param thirdpartySecretInfo 对接三方平台配置
     * @return 结果
     */
    int insertThirdpartySecretInfo(ThirdpartySecretInfo thirdpartySecretInfo);

    /**
     * 修改对接三方平台配置
     *
     * @param thirdpartySecretInfo 对接三方平台配置
     * @return 结果
     */
    int updateThirdpartySecretInfo(ThirdpartySecretInfo thirdpartySecretInfo);

    /**
     * 删除对接三方平台配置
     *
     * @param id 对接三方平台配置主键
     * @return 结果
     */
    int deleteThirdpartySecretInfoById(Long id);

    /**
     * 批量删除对接三方平台配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteThirdpartySecretInfoByIds(Long[] ids);

    ThirdPartySecretInfoVO queryByOperatorId(String theirOperatorId);

    ThirdPartySecretInfoVO queryByThirdPlatformType(String thirdPlatformType);

    /**
     * 根据站点id查询对接的第三方平台列表
     * @param stationId 站点id
     * @return
     */
    List<ThirdPartySecretInfoVO> queryStationToPlatformList(String stationId);
}
